@prefix owl:   <http://www.w3.org/2002/07/owl#> .
@prefix bfo:   <http://purl.obolibrary.org/obo/> .
@prefix rdfs:  <http://www.w3.org/2000/01/rdf-schema#> .
@prefix cco:   <http://www.ontologyrepository.com/CommonCoreOntologies/> .
@prefix base:  <https://kupferdigital.gitlab.io/ontologies/playground-copper-key-bfo/#> .
@prefix dc:    <http://purl.org/dc/elements/1.1/> .

bfo:SpecificallyDependentContinuant
        a                owl:Class ;
        rdfs:label       "Specifically Dependent Continuant" ;
        rdfs:subClassOf  bfo:Continuant .

cco:hasCastFunction  a  owl:ObjectProperty ;
        rdfs:domain  base:CastAlloy ;
        rdfs:label   "has cast function" ;
        rdfs:range   base:UsedForCasting .

base:ProductionType  a   owl:Class ;
        rdfs:label       "Production Type" ;
        rdfs:subClassOf  bfo:Quality .

base:MetallicMaterial
        a                owl:Class ;
        rdfs:label       "Metallic Material" ;
        rdfs:subClassOf  base:Material .

base:IngotForm  a        owl:Class ;
        rdfs:label       "Ingot Form" ;
        rdfs:subClassOf  base:ProductionType .

bfo:GenericallyDependentContinuant
        a                owl:Class ;
        rdfs:label       "Generically Dependent Continuant" ;
        rdfs:subClassOf  bfo:Continuant .

base:Strip  a            owl:Class ;
        rdfs:label       "Strip" ;
        rdfs:subClassOf  base:ProductShape .

base:Misc  a             owl:Class ;
        rdfs:label       "Misc" ;
        rdfs:subClassOf  base:ProductionType .

base:   a                owl:Ontology ;
        dc:creator       "Miriam Eisenbart" ;
        dc:description   "Ontology code created by Chowlk" ;
        dc:title         "playground-copper-key-bfo" ;
        owl:versionInfo  "0.0.1" .

base:PermanentMoldCastingCuPb10Sn10-C
        a                 owl:NamedIndividual , base:PermanentMoldCasting ;
        cco:designatedBy  base:CC495K-GM , base:CuSn10Pb10-C-GM , base:EN1982 .

bfo:RelationalQuality
        a                owl:Class ;
        rdfs:label       "Relational Quality" ;
        rdfs:subClassOf  bfo:Quality .

bfo:occurrent  a          owl:Class ;
        rdfs:label        "occurrent" ;
        rdfs:subClassOf   bfo:Entity ;
        owl:disjointWith  bfo:Continuant .

base:CuSn10Pb10-C-GZ  a  owl:NamedIndividual , base:StandardShortName .

base:CuPb10Sn10-C_EU  a         base:CastAlloy , owl:NamedIndividual ;
        cco:designatedBy        base:CuPb10Sn10-C , base:EN1982 , base:CC495K ;
        base:hasProductionType  base:ContinuousCastingCuPb10Sn10-C , base:SandCastingCuPb10Sn10-C , base:PermanentMoldCastingCuPb10Sn10-C , base:IngotCuPb10Sn10-C , base:CentrifugalCastingCuPb10Sn10-C .

base:WroughtAlloy  a     owl:Class ;
        rdfs:label       "Wrought Alloy" ;
        rdfs:subClassOf  base:CopperAlloy .

bfo:Object  a            owl:Class ;
        rdfs:label       "Object" ;
        rdfs:subClassOf  bfo:MaterialEntity .

base:ProductShape  a     owl:Class ;
        rdfs:label       "Product Shape" ;
        rdfs:subClassOf  bfo:Quality .

base:CuSn10Pb10-C-GC  a  owl:NamedIndividual , base:StandardShortName .

bfo:Continuant  a         owl:Class ;
        rdfs:label        "Continuant" ;
        rdfs:subClassOf   bfo:Entity ;
        owl:disjointWith  bfo:occurrent .

base:AlloyStandard  a    owl:Class ;
        rdfs:label       "Alloy Standard" ;
        rdfs:subClassOf  cco:NonNameIdentifier .

base:Tube  a             owl:Class ;
        rdfs:label       "Tube" ;
        rdfs:subClassOf  base:ProductShape .

cco:DesignativeName  a   owl:Class ;
        rdfs:label       "Designative Name" ;
        rdfs:subClassOf  cco:DesignativeInformationContentEntity .

base:CentrifugalCasting
        a                owl:Class ;
        rdfs:label       "Centrifugal Casting" ;
        rdfs:subClassOf  base:ProductionType .

base:ASTM_B_422-08a_B888
        a       owl:NamedIndividual , base:StandardTitle .

base:IngotCuPb10Sn10-C
        a                 owl:NamedIndividual , base:IngotForm ;
        cco:designatedBy  base:CB495K , base:CuSn10Pb10-B , base:EN1982 .

base:CentrifugalCastingCuPb10Sn10-C
        a                 owl:NamedIndividual , base:CentrifugalCasting ;
        cco:designatedBy  base:CC495K-GZ , base:CuSn10Pb10-C-GZ , base:EN1982 .

base:StandardTitle  a    owl:Class ;
        rdfs:label       "Standard Title" ;
        rdfs:subClassOf  base:ProductStandard .

base:UsedForDeformingProcesses
        a                owl:Class ;
        rdfs:label       "Used For Deforming Processes" ;
        rdfs:subClassOf  cco:ArtifactFunction .

cco:NonNameIdentifier
        a                owl:Class ;
        rdfs:label       "Non Name Identifier" ;
        rdfs:subClassOf  cco:DesignativeInformationContentEntity .

base:Wire  a             owl:Class ;
        rdfs:label       "Wire" ;
        rdfs:subClassOf  base:ProductShape .

base:Scrap  a            owl:Class ;
        rdfs:label       "Scrap" ;
        rdfs:subClassOf  base:ProductShape .

bfo:Quality  a           owl:Class ;
        rdfs:label       "Quality" ;
        rdfs:subClassOf  bfo:SpecificallyDependentContinuant .

base:StripC19010  a       owl:NamedIndividual , base:Strip ;
        cco:designatedBy  base:ASTM_B_422-08a_B888 .

base:SheetC19010  a       owl:NamedIndividual , base:Sheet ;
        cco:designatedBy  base:ASTM_B_422-08a_B888 .

base:CuSn10Pb10-C-GS  a  owl:NamedIndividual , base:StandardShortName .

base:CuSn10Pb10-B  a  owl:NamedIndividual , base:StandardShortName .

bfo:RealizableEntity  a  owl:Class ;
        rdfs:label       "Realizable Entity" ;
        rdfs:subClassOf  bfo:SpecificallyDependentContinuant .

base:PermanentMoldCasting
        a                owl:Class ;
        rdfs:label       "Permanent Mold Casting" ;
        rdfs:subClassOf  base:ProductionType .

base:Rod  a              owl:Class ;
        rdfs:label       "Rod" ;
        rdfs:subClassOf  base:ProductShape .

base:CuSn10Pb10-C-GM  a  owl:NamedIndividual , base:StandardShortName .

cco:hasIngotFunction  a  owl:ObjectProperty ;
        rdfs:domain  base:Ingot ;
        rdfs:label   "has ingot function" ;
        rdfs:range   base:UsedAsIngot .

base:Ingot  a            owl:Class ;
        rdfs:label       "Ingot" ;
        rdfs:subClassOf  base:CopperAlloy .

base:hasProductionType
        a            owl:ObjectProperty ;
        rdfs:domain  base:CastAlloy ;
        rdfs:label   "has production type" ;
        rdfs:range   base:ProductionType .

base:CB495K  a  owl:NamedIndividual , base:StandardNumber .

cco:ArtifactFunction  a  owl:Class ;
        rdfs:label       "Artifact Function" ;
        rdfs:subClassOf  bfo:Function .

base:FormerlyKnownAs  a  owl:Class ;
        rdfs:label       "Formerly Known As" ;
        rdfs:subClassOf  cco:NonNameIdentifier .

cco:designatedBy  a  owl:ObjectProperty ;
        rdfs:label  "designated by" ;
        rdfs:range  cco:DesignativeInformationContentEntity .

base:C19010USA  a             owl:NamedIndividual , base:WroughtAlloy ;
        cco:designatedBy      base:C19010 ;
        base:hasProductShape  base:SheetC19010 , base:StripC19010 .

base:hasProductShape  a  owl:ObjectProperty ;
        rdfs:domain  base:WroughtAlloy ;
        rdfs:label   "has product shape" ;
        rdfs:range   base:ProductShape .

base:ContinuousCasting
        a                owl:Class ;
        rdfs:label       "Continuous Casting" ;
        rdfs:subClassOf  base:ProductionType .

base:CC495K  a  owl:NamedIndividual , base:AlloyNumber .

owl:Thing  a        owl:Class ;
        rdfs:label  "Thing" .

base:CastAlloy  a        owl:Class ;
        rdfs:label       "Cast Alloy" ;
        rdfs:subClassOf  base:CopperAlloy .

base:UsedForCasting  a   owl:Class ;
        rdfs:label       "Used For Casting" ;
        rdfs:subClassOf  cco:ArtifactFunction .

base:AlloyNumber  a      owl:Class ;
        rdfs:label       "Alloy Number" ;
        rdfs:subClassOf  cco:NonNameIdentifier .

base:hasIngotProductionType
        a            owl:ObjectProperty ;
        rdfs:domain  base:Ingot ;
        rdfs:label   "has ingot production type" ;
        rdfs:range   base:IngotForm .

base:ShortName  a        owl:Class ;
        rdfs:label       "Short Name" ;
        rdfs:subClassOf  cco:DesignativeName .

bfo:MaterialEntity  a    owl:Class ;
        rdfs:label       "Material Entity" ;
        rdfs:subClassOf  bfo:IndependentContinuant .

base:Forgings  a         owl:Class ;
        rdfs:label       "Forgings" ;
        rdfs:subClassOf  base:ProductShape .

base:CC495K-GZ  a  owl:NamedIndividual , base:StandardNumber .

base:ProductStandard  a  owl:Class ;
        rdfs:label       "Product Standard" ;
        rdfs:subClassOf  cco:NonNameIdentifier .

bfo:IndependentContinuant
        a                owl:Class ;
        rdfs:label       "Independent Continuant" ;
        rdfs:subClassOf  bfo:Continuant .

bfo:Role  a              owl:Class ;
        rdfs:label       "Role" ;
        rdfs:subClassOf  bfo:RealizableEntity .

base:Profile  a          owl:Class ;
        rdfs:label       "Profile" ;
        rdfs:subClassOf  base:ProductShape .

base:CC495K-GC  a  owl:NamedIndividual , base:StandardNumber .

base:Material  a         owl:Class ;
        rdfs:label       "Material" ;
        rdfs:subClassOf  bfo:Object .

base:Alloy  a            owl:Class ;
        rdfs:label       "Alloy" ;
        rdfs:subClassOf  base:MetallicMaterial .

base:Sheet  a            owl:Class ;
        rdfs:label       "Sheet" ;
        rdfs:subClassOf  base:ProductShape .

bfo:Entity  a            owl:Class ;
        rdfs:label       "Entity" ;
        rdfs:subClassOf  owl:Thing .

bfo:Disposition  a       owl:Class ;
        rdfs:label       "Disposition" ;
        rdfs:subClassOf  bfo:RealizableEntity .

cco:InformationContentEntity
        a                owl:Class ;
        rdfs:label       "Information Content Entity" ;
        rdfs:subClassOf  bfo:GenericallyDependentContinuant .

base:CuPb10Sn10-C  a  owl:NamedIndividual , base:ShortName .

cco:DesignativeInformationContentEntity
        a                owl:Class ;
        rdfs:label       "Designative Information Content Entity" ;
        rdfs:subClassOf  cco:InformationContentEntity .

base:CopperAlloy  a      owl:Class ;
        rdfs:label       "Copper Alloy" ;
        rdfs:subClassOf  base:Alloy .

base:StandardNumber  a   owl:Class ;
        rdfs:label       "Standard Number" ;
        rdfs:subClassOf  base:ProductStandard .

bfo:Function  a          owl:Class ;
        rdfs:label       "Function" ;
        rdfs:subClassOf  bfo:Disposition .

base:CC495K-GS  a  owl:NamedIndividual , base:StandardNumber .

base:SandCasting  a      owl:Class ;
        rdfs:label       "Sand Casting" ;
        rdfs:subClassOf  base:ProductionType .

cco:hasWroughtFunction
        a            owl:ObjectProperty ;
        rdfs:domain  base:WroughtAlloy ;
        rdfs:label   "has wrought function" ;
        rdfs:range   base:UsedForDeformingProcesses .

base:CC495K-GM  a  owl:NamedIndividual , base:StandardNumber .

base:EN1982  a  owl:NamedIndividual , base:AlloyStandard , base:StandardTitle .

base:SandCastingCuPb10Sn10-C
        a                 owl:NamedIndividual , base:SandCasting ;
        cco:designatedBy  base:CC495K-GS , base:CuSn10Pb10-C-GS , base:EN1982 .

base:UsedAsIngot  a      owl:Class ;
        rdfs:label       "Used As Ingot" ;
        rdfs:subClassOf  cco:ArtifactFunction .

base:C19010  a  owl:NamedIndividual , base:ShortName .

base:RawForm  a          owl:Class ;
        rdfs:label       "Raw Form" ;
        rdfs:subClassOf  base:ProductionType .

base:StandardShortName
        a                owl:Class ;
        rdfs:label       "Standard Short Name" ;
        rdfs:subClassOf  base:ProductStandard .

base:ContinuousCastingCuPb10Sn10-C
        a                 owl:NamedIndividual , base:ContinuousCasting ;
        cco:designatedBy  base:CC495K-GC , base:CuSn10Pb10-C-GC , base:EN1982 .
